summaryrefslogtreecommitdiff
path: root/app/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'app/run-test.sh')
-rwxr-xr-xapp/run-test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/app/run-test.sh b/app/run-test.sh
index be335c6..dd8c8ee 100755
--- a/app/run-test.sh
+++ b/app/run-test.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright (c) 2020 Peter Johanson; Cody McGinnis
+# Copyright (c) 2020 The ZMK Contributors
#
# SPDX-License-Identifier: MIT
#
@@ -22,6 +22,7 @@ echo "Running $testcase:"
west build -d build/$testcase -b native_posix -- -DZMK_CONFIG=$testcase > /dev/null 2>&1
if [ $? -gt 0 ]; then
echo "FAIL: $testcase did not build" >> ./build/tests/pass-fail.log
+ exit 1
else
./build/$testcase/zephyr/zmk.exe | sed -e "s/.*> //" | tee build/$testcase/keycode_events_full.log | sed -n -f $testcase/events.patterns > build/$testcase/keycode_events.log
diff -au $testcase/keycode_events.snapshot build/$testcase/keycode_events.log